Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.etee.impl
Class AbstractEndToEndCrypto

    java.lang.Object
      be.ehealth.technicalconnector.service.etee.impl.AbstractCrypto
          be.ehealth.technicalconnector.service.etee.impl.AbstractEndToEndCrypto

All Implemented Interfaces:
  Crypto, ConfigurableImplementation

Direct Known Subclasses:
  CryptoImpl

    public abstract class AbstractEndToEndCrypto

extends AbstractCrypto

Abstract class that extracts all the utility methods

Nested Class Summary

Nested classes/interfaces inherited from interface be.ehealth.technicalconnector.service.etee.Crypto
`Crypto.SigningPolicySelector`

Field Summary
`static String` | `PROP_DUMP_FIRST_CHARS` Property to specify the number of characters that will be dumped in the logs.
`static String` | `PROP_DUMP_MESSAGES` Property to specify if the message must be dumped in the logs Default::false

Fields inherited from class be.ehealth.technicalconnector.service.etee.impl.AbstractCrypto
`DEFAULT_ALGO`

Fields inherited from interface be.ehealth.technicalconnector.service.etee.Crypto
`DATASEALER_CREDENTIAL, DATAUNSEALER_PKMAP, OCSP_OPTIONMAP, OCSP_POLICY, SIGNING_OPTIONMAP`

Constructor Summary
`AbstractEndToEndCrypto()`

Method Summary
`byte[]` | `seal(byte[] paramArrayOfByte, SecretKey secretKey, String base64encodedSymKekId)`
`byte[]` | `seal(Crypto.SigningPolicySelector type, EncryptionToken encryptionToken, byte[] content)`
`byte[]` | `seal(Crypto.SigningPolicySelector type, KeyResult symmKey, byte[] content)`
`byte[]` | `seal(Crypto.SigningPolicySelector type, Set<EncryptionToken> paramEncryptionTokenSet, byte[] content)`
`byte[]` | `seal(EncryptionToken paramEncryptionToken, byte[] paramArrayOfByte)`
`byte[]` | `seal(Set<EncryptionToken> paramEncryptionTokenSet, byte[] paramArrayOfByte)`
`byte[]` | `seal(Set<EncryptionToken> paramEncryptionTokenSet, byte[] content, SecretKey secretKey, String base64encodedSymKekId)`
`byte[]` | `unseal(byte[] protectedMessage)`
`byte[]` | `unsealForUnknown(SecretKey key, byte[] protectedMessage)`

Methods inherited from class be.ehealth.technicalconnector.service.etee.impl.AbstractCrypto
`generateSecretKey, getSymmKey, unsealWithSymmKey`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface be.ehealth.technicalconnector.service.etee.Crypto
`seal, unseal, unseal`

Methods inherited from interface be.ehealth.technicalconnector.utils.ConfigurableImplementation
`initialize`

Field Detail

### PROP_DUMP_MESSAGES

    public static final String PROP_DUMP_MESSAGES

  Property to specify if the message must be dumped in the logs

  Default::false

  See Also:
    Constant Field Values

### PROP_DUMP_FIRST_CHARS

    public static final String PROP_DUMP_FIRST_CHARS

  Property to specify the number of characters that will be dumped in the logs.

  Default:50

  See Also:
    Constant Field Values

Constructor Detail

### AbstractEndToEndCrypto

    public AbstractEndToEndCrypto()

Method Detail

### seal

    public byte[] seal(EncryptionToken paramEncryptionToken,
                       byte[] paramArrayOfByte)
                throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### seal

    public byte[] seal(Set<EncryptionToken> paramEncryptionTokenSet,
                       byte[] paramArrayOfByte)
                throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### seal

    public byte[] seal(byte[] paramArrayOfByte,
                       SecretKey secretKey,
                       String base64encodedSymKekId)
                throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### seal

    public byte[] seal(Set<EncryptionToken> paramEncryptionTokenSet,
                       byte[] content,
                       SecretKey secretKey,
                       String base64encodedSymKekId)
                throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### seal

    public byte[] seal(Crypto.SigningPolicySelector type,
                       KeyResult symmKey,
                       byte[] content)
                throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### seal

    public byte[] seal(Crypto.SigningPolicySelector type,
                       EncryptionToken encryptionToken,
                       byte[] content)
                throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### seal

    public byte[] seal(Crypto.SigningPolicySelector type,
                       Set<EncryptionToken> paramEncryptionTokenSet,
                       byte[] content)
                throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### unseal

    public byte[] unseal(byte[] protectedMessage)
                  throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### unsealForUnknown

    public byte[] unsealForUnknown(SecretKey key,
                                   byte[] protectedMessage)
                            throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.